<template>
  <div>
    <basic-container>
      <div class="task-div-title">
        <div style="margin-left:15px;">
          <span style="font-size: 17px;font-weight: bold;color: #2d2d2d;"
            >数据录入</span
          >
        </div>
      </div>
      <div
        style="margin-bottom: 10px;margin-left: 15px; display:inline-block;width: 80%;margin-top: 30px"
      >
        <el-form
          :model="formData"
          class="l-mes"
          style="margin-left: 10px"
          ref="form"
          :rules="rules"
          label-width="100px"
        >
          <el-form-item prop="newMesCode" label="新MES码">
            <el-input
              type="textarea"
              :rows="6"
              placeholder="请输入新MES码"
              v-model="formData.newMesCode"
              ref="formItem0"
              @keyup.enter.native="nextFocus(0)"
            >
            </el-input>
          </el-form-item>
          <el-form-item prop="barCode" label="19码">
            <el-input
              placeholder="请输入19码"
              v-model="formData.barCode"
              ref="formItem1"
              @keyup.enter.native="nextFocus(1)"
            >
            </el-input>
          </el-form-item>
          <el-form-item prop="codeBox" label="箱码">
            <el-input
              placeholder="请输入箱码"
              v-model="formData.codeBox"
              ref="formItem2"
            >
            </el-input>
          </el-form-item>
          <el-form-item
            style="margin-top: 100px"
            prop="isQualified"
            label="是否合格"
          >
            <el-select
              v-model="formData.isQualified"
              placeholder="请选择"
              clearable
            >
              <el-option
                v-for="item in isQualifiedOptions"
                :key="item.key"
                :label="item.label"
                :value="item.value"
              >
              </el-option>
            </el-select>
          </el-form-item>
          <el-form-item prop="reason" label="不合格理由">
            <el-input
              type="textarea"
              :rows="4"
              placeholder="请输入不合格理由"
              v-model="formData.reason"
            >
            </el-input>
          </el-form-item>
        </el-form>
        <el-row type="flex" justify="space-around" style="margin-top: 50px">
          <el-button type="primary" @click="submitForm()">提交</el-button>
          <el-button @click="resetForm">清除</el-button>
        </el-row>
      </div>
    </basic-container>
  </div>
</template>

<script>
import { addCode19bind } from '@/api/huawei/code19bind'
export default {
  data() {
    return {
      formData: {
        newMesCode: '',
        barCode: '',
        codeBox: '',
        isQualified: 1,
        reason: ''
      },
      rules: {
        newMesCode: [
          { required: true, message: '请填写新MES码', trigger: 'blur' }
        ],
        barCode: [{ required: true, message: '请填写19码', trigger: 'blur' }],
        codeBox: [{ required: true, message: '请输入箱码', trigger: 'blur' }],
        isQualified: [
          { required: true, message: '请选择是否合格', trigger: 'blur' }
        ]
      },
      isQualifiedOptions: [
        {
          value: 1,
          label: '合格'
        },
        {
          value: 0,
          label: '不合格'
        }
      ]
    }
  },
  methods: {
    submitForm() {
      this.$refs.form.validate((valid) => {
        if (valid) {
          addCode19bind(this.formData)
            .then((data) => {
              this.$message.success('提交成功')
              // 刷新列表
              this.$emit('updateList')
            })
            .catch(() => {
              this.$message.error('提交失败')
            })
        }
      })
    },
    resetForm() {
      this.$refs.form.resetFields()
    },
    nextFocus(index) {
      index++
      this.$refs['formItem' + index].focus()
    }
  }
}
</script>

<style scoped></style>
